nl.tudelft.simulation.examples.dsol.animation3d

## Class BallAnimation

- java.lang.Object
- - nl.tudelft.simulation.dsol.animation.D2.Renderable2D
  - - nl.tudelft.simulation.examples.dsol.animation3d.BallAnimation

All Implemented Interfaces:
  nl.tudelft.simulation.dsol.animation.D2.Renderable2DInterface

    public class BallAnimation
    extends nl.tudelft.simulation.dsol.animation.D2.Renderable2D

The Animation of a Ball.

Copyright (c) 2003-2018 Delft University of Technology , the Netherlands.
See for project information www.simulation.tudelft.nl
License of use: General Public License (GPL) , no warranty

Since:
  1.4
Version:
  1.2 Apr 16, 2004
Author:
  Peter Jacobs

### Nested Class Summary

### Nested classes/interfaces inherited from interface nl.tudelft.simulation.dsol.animation.D2.Renderable2DInterface

`nl.tudelft.simulation.dsol.animation.D2.Renderable2DInterface.Util`

### Field Summary

### Fields inherited from class nl.tudelft.simulation.dsol.animation.D2.Renderable2D

`source`

### Constructor Summary

Constructors
Constructor and Description
`BallAnimation(nl.tudelft.simulation.dsol.animation.Locatable source, nl.tudelft.simulation.dsol.simulators.SimulatorInterface.TimeDouble simulator)` constructs a new BallAnimation.

### Method Summary

All Methods Instance Methods Concrete Methods
`Color` `getColor()`
`void` `paint(Graphics2D graphics, ImageObserver observer)`
`void` `setColor(Color color)`

### Methods inherited from class nl.tudelft.simulation.dsol.animation.D2.Renderable2D

`bind2Context, contains, destroy, equals, getSource, hashCode, isFlip, isRotate, isScale, isTranslate, paint, setFlip, setRotate, setScale, setTranslate, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### BallAnimation

    public BallAnimation(nl.tudelft.simulation.dsol.animation.Locatable source,
                         nl.tudelft.simulation.dsol.simulators.SimulatorInterface.TimeDouble simulator)
                  throws RemoteException,
                         NamingException

constructs a new BallAnimation.

Parameters:
  `source` - the source
  `simulator` - the simulator
Throws:
  `NamingException` - on error
  `RemoteException` - on error

### Method Detail

#### paint

    public void paint(Graphics2D graphics,
                      ImageObserver observer)

Specified by:
  `paint` in class `nl.tudelft.simulation.dsol.animation.D2.Renderable2D`

#### getColor

    public Color getColor()

Returns:
  Returns the color.

#### setColor

    public void setColor(Color color)

Parameters:
  `color` - The color to set.